%define major       0
%define libname     PHOTOS
%define libnamedev  PHOTOS-devel
%define develnamestatic  PHOTOS-static-devel
%undefine _debugsource_packages


Name:           PHOTOS
Version:        3.64
Release:        1%{?dist}
License:        Unknown
Url:            http://photospp.web.cern.ch/photospp
Source0:        http://photospp.web.cern.ch/photospp/resources/%{name}.%{version}/%{name}.%{version}.tar.gz
#Source0: http://photospp.web.cern.ch/photospp/resources/PHOTOS.development.version/PHOTOS.development.version.tar.gz
#Patch0:         patch-PHOTOS-0.txt
Summary:        PHOTOS Monte Carlo for bremsstrahlung in the decay of particles and resonances
BuildRequires:   gcc-gfortran gcc-c++ pythia8 pythia8-devel HepMC-devel HepMC3-devel HepMC HepMC3 autoconf automake libtool  tex(latex) tex(fmtcount.sty) ghostscript doxygen
Requires:       HepMC HepMC3 libgfortran pythia8
BuildRequires: TAUOLA >= 1.1.7
BuildRequires: TAUOLA-devel >= 1.1.7
Requires: TAUOLA >= 1.1.7
%if %{?fedora}%{!?fedora:0} || %{?rhel}%{!?rhel:0} >= 8
BuildRequires: ghostscript-tools-dvipdf
%endif
Prefix: %{_prefix}
%description
Monte Carlo for bremsstrahlung in the decay of particles and
resonances




%package  devel
Summary:        Libraries and headers for %{name}
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description devel
%{libnamedev} contains the libraries and header files needed to
develop programs which make use of %{name}.
The library documentation is available on header files.


%package  doc
Summary:        Documentation for %{name}
Requires:       %{libname} = %{version}
BuildArch:      noarch
Provides:       %{name}-doc = %{version}-%{release}

%description doc
 %{name}-doc contains the documentation for libraries and header files needed to
develop programs which make use of %{name}.






%prep
%setup -qn %{name}
#%patch0 -p0

%build
#rm -rf configure
#autoreconf
%configure --with-hepmc=%prefix --with-hepmc3=%prefix --with-pythia8=%prefix  --with-tauola=%prefix
make 
make -C documentation/latex_documentation
make -C documentation/doxygen
chmod +x lib/*

%install
%make_install
chmod +x %{buildroot}/%prefix/%_lib/*
mkdir -p %{buildroot}/%{_docdir}/%{name}/html
install -m 644 documentation/latex_documentation/*pdf   %{buildroot}/%{_docdir}/%{name}
install -m 644 documentation/doxygen/html/*   %{buildroot}/%{_docdir}/%{name}/html

%files 
%doc AUTHORS README COPYING
%files -n %{libname}
/usr/%_lib/*
%files -n %{libnamedev}
%{_includedir}/Photos/*

%files -n %{name}-doc
%{_docdir}/%{name}/*



%changelog
* Wed Feb 19 2020 Andrii Verbytskyi 3.64
+ New version Prerelease.
*Mon Jan 27 2020 Andrii Verbytskyi 3.62
+ HepMC3
* Mon Feb 3 2014 Andrii Verbytskyi 3.54
+ Initial spec file

